@charset "UTF-8";

@font-face {
  font-family: 'Galop';
  src: url('/assets/font/Galop-Book.otf');
  font-weight: normal;
}

html, body {
  margin: 0;
  padding: 0;
  font-family: 'Galop', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 3.7vw;
  -webkit-text-size-adjust: 100%;
  font-variant-ligatures: none;
  -webkit-font-variant-ligatures: none;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  font-smoothing: antialiased;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-shadow: rgba(0, 0, 0, .01) 0 0 1px;
  font-smooth: always;

  background: rgb(39,39,39);
  background: -webkit-gradient(linear, left bottom, left top, from(rgba(39,39,39,1)),color-stop(50%, rgba(39,39,39,1)),color-stop(50.1%, rgba(0,147,255,1)),to(rgba(0,147,255,1)));
  background: linear-gradient(to top, rgba(39,39,39,1) 0%,rgba(39,39,39,1) 50%,rgba(0,147,255,1) 50.1%,rgba(0,147,255,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#272727', endColorstr='#0093ff',GradientType=0 );
}

h1, h2, h3, h4, h5, h6 {
  font-weight: normal;
  font-size: 1rem;
  margin: 0;
}

p {
  margin-top: 0;
}

a {
  text-decoration: underline;
  color: inherit;
}

li {
  margin-top: 1em;
}

ol {
  list-style-position: outside;
}

ol li {
  padding-left: 1em;
}

mark {
  background-color: transparent;
  color: inherit;
  border-bottom: 0.08em solid #000;
}

.dark mark, .black mark {
  border-bottom-color: #fff;
}

.small-text {
  font-size: 0.42rem !important;
  line-height: 1.2em;
}

.small-big-text {
  font-size: 0.5rem !important;
  line-height: 1.2em;
}

section {
  min-height: 100vh;
  width: 100%;
  display: block;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  overflow: hidden;
  padding: 6vw 4vw;
  position: relative;
}

.dark {
  background: #272727;
  color: #fff;
  position: relative;
}

.black {
  background: black;
  color: #fff;
  position: relative;
}

.highlight {
  position: absolute;
  height: auto;
  display: block;
  background: transparent;
  pointer-events: none;

  -webkit-clip-path: inset(0 100% 0 0);
          clip-path: inset(0 100% 0 0);
  transition: all 400ms ease-in-out;
}

.highlight.visible {
  -webkit-clip-path: inset(0 0 0 0);
          clip-path: inset(0 0 0 0);
}

#hl-01 {
  width: 55%;
  top: 19vw;
  left: 21vw;
}
#hl-02 {
  width: 13%;
  top: 9vw;
  right: 25vw;
}
#hl-03 {
  width: 22%;
  top: 29vw;
  right: 28vw;
}
#hl-04 {
  width: 17%;
  top: 30vw;
  left: 25vw;
}
#hl-05 {
  width: 48%;
  top: 9vw;
  left: 14vw;
}
#hl-06 {
  width: 31%;
  top: 9.5vw;
  left: 20vw;
}
#hl-07 {
  width: 57%;
  top: 28vw;
  left: 29vw;
}
#hl-08 {
  width: 38%;
  top: 36vw;
  right: 10vw;
}
#hl-09 {
  width: 48%;
  top: 2vw;
  left: 1vw;
}
#hl-10 {
  width: 43%;
  top: 44.5vw;
  right: 5vw;
}
#hl-11 {
  width: 38%;
  top: 61.5vw;
  left: 4vw;
}
#hl-12 {
  width: 33%;
  top: 61vw;
  left: 35vw;
}
#hl-13 {
  width: 42%;
  top: 83.5vw;
  left: 27vw;
}
#hl-14 {
  width: 34%;
  top: 100vw;
  left: 4vw;
}
#hl-15 {
  width: 34%;
  top: 124.5vw;
  left: 3vw;
}

.image-wrapper {
  padding: 0;
  min-height: unset;
}

.image-wrapper img {
  width: 100%;
  height: auto;
  display: block;
}

.video-wrapper {
  padding: 0;
  min-height: unset;
}

video {
  width: 100%;
  height: auto;
  display: block;
}

.image-wrapper {
  padding: 0;
}

.dark h1 {
  margin-bottom: 14vw;
  line-height: 1.2em;
}

.dark p:first-of-type {
  margin-bottom: 7vw;
}

.dark .small-text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: nowrap;
      flex-wrap: nowrap;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.dark .small-text p {
  margin-bottom: 0;
}

.light {
  background: #fff;
  color: #000;
  position: relative;
}

.light p {
  width: 84%;
  line-height: 1.1em;
  font-size: 0.82rem;
}

.blue {
  background: #0093FF;
  font-size: 0.82rem;
  position: relative;
}

.blue p {
  width: 84%;
  line-height: 1.1em;
}

.program {
  background: transparent;
  border: none;
  color: inherit;
  font-size: 0.84rem;
  display: block;
  cursor: pointer;
  border-bottom: 0.2vw solid #000;
  font-family: inherit;
  padding-left: 0;
  padding-right: 0;
  padding-bottom: 0.3em;
  cursor: pointer;
}

.mam-zajem, .bude-zverejnen, .stahnout-pdf {
  text-decoration: none;
  color: inherit;
  font-size: 0.65rem;
  position: relative;
  display: inline-block;
  border: 0.2vw solid #000;
  padding: 17px 40px;
  margin-top: 0;
  cursor: pointer;
  margin-bottom: 4vw;
}

.mam-zajem, .bude-zverejnen {
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}

.stahnout-pdf {
  border-color: white;
}

.bude-zverejnen  {
  font-size: 0.82rem;
  margin-top: 2vw;
}

.mam-zajem:hover {
  color: #0093FF;
  background: #000;
  border-color:  #000;
}

.bude-zverejnen:hover {
  cursor: default;
}

.stahnout-pdf:hover {
  color: black;
  background: white;
  border-color:  white;
}

.program-container {
  padding-left: 0;
  padding-right: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  min-height: auto;
  height: 0;
  -webkit-transform: scaleY(0);
          transform: scaleY(0);
  -webkit-transform-origin: top;
          transform-origin: top;
  -webkit-transition: -webkit-transform 600ms ease-in-out;
  transition: -webkit-transform 600ms ease-in-out;
  transition: transform 600ms ease-in-out;
  transition: transform 600ms ease-in-out, -webkit-transform 600ms ease-in-out;
}

.program-container > article {
  opacity: 0;
  -webkit-transition-delay: 600ms;
          transition-delay: 600ms;
  -webkit-transition: all 1600ms ease-in-out;
  transition: all 1600ms ease-in-out;
}

.program-container.opened {
  height: auto;
  -webkit-transform: scaleY(1);
          transform: scaleY(1);
}

.program-container.opened > article {
  opacity: 1;
}

.program-container article {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.program-container article p:first-of-type {
  width: 13%;
}

.program-container article p span {
  display: block;
  margin-top: 0.7em;
}

.flex-grid {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}

.flex-grid > div {
  width: 50%;
  margin-bottom: 3vw;
}

/*
*
*   Animation
*
*/

.caret {
  position: absolute;
  z-index: 3;
  width: 40%;
  text-align: center;
  margin: 0 auto;
  color: inherit;
  font-size: 0.36rem;
  -webkit-transition: opacity .5s ease-out;
  transition: opacity .5s ease-out;
  display: block;
  top: auto;
  left: 50%;
  bottom: 3vw;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  visibility: visible;
}

.caret .button {
  width: 240px;
  margin: 0 auto;
  cursor: pointer;
  -webkit-perspective: 500;
  -webkit-transform-style: preserve-3d;
}

.caret .button .cta {
  display: block;
}

.caret .button .cta.scroll {
  opacity: 0;
  -webkit-transition: opacity .25s ease-in-out;
  transition: opacity .25s ease-in-out;
}

.caret .button:hover .cta.scroll {
  opacity: 1;
}

@-webkit-keyframes arrow {
  0% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(37deg);
            transform: translate3d(0, 0, 10px) rotateX(37deg);
    opacity  : 0;
  }

  20% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(0);
            transform: translate3d(0, 0, 10px) rotateX(0);
    opacity  : 1;
  }

  60% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(0);
            transform: translate3d(0, 0, 10px) rotateX(0);
    opacity  : 1;
  }

  80% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(0);
            transform: translate3d(0, 0, 10px) rotateX(0);
    opacity  : 1;
  }

  100% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(-45deg);
            transform: translate3d(0, 0, 10px) rotateX(-45deg);
    opacity  : 0;
  }
}

@keyframes arrow {
  0% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(37deg);
            transform: translate3d(0, 0, 10px) rotateX(37deg);
    opacity  : 0;
  }

  20% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(0);
            transform: translate3d(0, 0, 10px) rotateX(0);
    opacity  : 1;
  }

  60% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(0);
            transform: translate3d(0, 0, 10px) rotateX(0);
    opacity  : 1;
  }

  80% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(0);
            transform: translate3d(0, 0, 10px) rotateX(0);
    opacity  : 1;
  }

  100% {
    -webkit-transform: translate3d(0, 0, 10px) rotateX(-45deg);
            transform: translate3d(0, 0, 10px) rotateX(-45deg);
    opacity  : 0;
  }
}

.caret .button .arrow {
  opacity: 0;
  -webkit-animation-timing-function: ease-in-out;
          animation-timing-function: ease-in-out;
  -webkit-transform-origin: 0 0 -12px;
          transform-origin: 0 0 -12px;
}

.caret.show .button .arrow {
  padding-top: 3px;
  display: block;
  margin: 0 auto;
  width: 23px;
  height: 13px;
  opacity: 1;
  -webkit-animation-name: arrow;
          animation-name: arrow;
  -webkit-animation-duration: 3s;
          animation-duration: 3s;
  -webkit-animation-iteration-count: infinite;
          animation-iteration-count: infinite;
}

footer {
  width: 100%;
  padding: 4vw;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background: white;
}

footer a {
  width: auto;
  margin: 0 2vw;
  text-align: left;
  position: relative;
  display: block;
}

footer a.small-big-text {
  width: 40%;
  text-align: right;
  line-height: 2.5em;
}

footer a img {
  height: 70px;
  width: auto;
  margin: 0 auto;
}